Boost.Locale: boost::locale::boundary::boundary_point< IteratorType > Class Template Reference

| Boost.Locale

Public Types | Public Member Functions | List of all members
boost::locale::boundary::boundary_point< IteratorType > Class Template Reference
Boundary Analysis

This class represents a boundary point in the text. More...

`#include <boost/locale/boundary/boundary_point.hpp>`

## Public Types
typedef IteratorType | iterator_type
| The type of the base iterator that iterates the original text.

## Public Member Functions
| boundary_point ()
| Empty default constructor.
| boundary_point (iterator_type p, rule_type r)
| Create a new boundary_point using iterator `and` a rule r.
void | iterator (iterator_type i)
| Set an new iterator value i.
iterator_type | iterator () const
| Fetch an iterator.
void | rule (rule_type r)
| Set an new rule value r.
rule_type | rule () const
| Fetch a rule.
bool | operator== (const boundary_point &other) const
| Check if two boundary points are the same.
bool | operator!= (const boundary_point &other) const
| Check if two boundary points are different.
bool | operator== (const iterator_type &other) const
| Check if the boundary point points to same location as an iterator other.
bool | operator!= (const iterator_type &other) const
| Check if the boundary point points to different location from an iterator other.
| operator iterator_type () const
| Automatic cast to the iterator it represents.

## Detailed Description

template<typename IteratorType>
class boost::locale::boundary::boundary_point< IteratorType >

This class represents a boundary point in the text.

It represents a pair - an iterator and a rule that defines this point.

This type of object is dereferenced by the iterators of boundary_point_index. Using a rule() member function you can get the reason why this specific boundary point was selected.

For example, when you use sentence boundary analysis, the (rule() & sentence_term) != 0 means that this boundary point was selected because a sentence terminator (like .?!) was spotted and the (rule() & sentence_sep)!=0 means that a separator like line feed or carriage return was observed.

Note

- The beginning of the analyzed range is always considered a boundary point and its rule is always 0.
- When using word boundary analysis, the returned rule relates to a chunk of text preceding this point.

See also

- boundary_point_index
- segment
- segment_index

The documentation for this class was generated from the following file:

- boost/locale/boundary/boundary_point.hpp

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.